<div class="page-body">
    <div class="container-xl">
      <div class="row row-deck row-cards">
        <div class="col-9">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">
                {% if edit == True %}
                  {{ model }}
                {% else %} 
                  {{ card }} 
                {% endif %}
              </h3>
            </div><!-- end card header -->
            <div class="card-body">
                <form action="" method="post">
                  {% csrf_token %}
                  {% for field in form %} 
                  <small class="form-hint">{{ field.errors }}</small>
                  {% if field.widget_type != 'hidden' %}
                  <div class="form-groub mb-3 row align-items-center">
                      <label class="form-label col-2 col-form-label"> {{ field.label_tag }}</label>
                    <div class="col">
                      {% if field.help_text %}
                      <div class="mb-3">
                      <small class="form-hint">{{ field.help_text|safe }}</small>
                      </div>
                      {% endif %}
                      <div class="mb-3">


                        {% if field.widget_type == "radioselect" %}

                        {% for radio in field %}

                        {% if field.field.horizontal == True %} 
                      
                        <label for="{{ radio.id_for_label }}" class="form-check form-check-inline">
                          {{ radio.tag }} 
                          <span class="form-check-label">{{ radio.choice_label }}</span>
                        </label>

                        {% else %}

                        <label for="{{ radio.id_for_label }}" class="form-check">
                          <div class="row align-items-center">
                            <div class="col-auto">
                              {{ radio.tag }} 
                            </div>
                            <div class="col">
                              <span class="form-check-label">{{ radio.choice_label }}</span>
                            </div>
                            </div>
                        </label>

                        {% endif %}

                        {% endfor %}


                      {% elif field.widget_type == "checkboxselectmultiple" %} 
                      {% for radio in field %}
                      <label for="{{ radio.id_for_label }}" class="form-check">
                        <div class="row align-items-center">
                        <div class="col-auto">{{ radio.tag }} </div>
                        <div class="col">
                        <span class="form-check-label">{{ radio.choice_label }}</span>
                        </div>
                        </div>
                      </label>
                      {% endfor %}

                      {% elif field.widget_type == "splitdatetime" %}
                      <div class="col-3 input-icon">
                        <span class="input-icon-addon"><!-- Download SVG icon from http://tabler-icons.io/i/calendar -->
                          <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="4" y="5" width="16" height="16" rx="2" /><line x1="16" y1="3" x2="16" y2="7" /><line x1="8" y1="3" x2="8" y2="7" /><line x1="4" y1="11" x2="20" y2="11" /><line x1="11" y1="15" x2="12" y2="15" /><line x1="12" y1="15" x2="12" y2="18" /></svg>
                        </span>
                        <input id="id_{{ field.name }}_0" class="form-control date" type="text"  name="{{ field.name }}_0" placeholder="Select a date">

                      </div>  
                    
                      <div class="col-3 input-icon">
                        <span class="input-icon-addon"><!-- Download SVG icon from http://tabler-icons.io/i/calendar -->
                          <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><rect x="4" y="5" width="16" height="16" rx="2" /><line x1="16" y1="3" x2="16" y2="7" /><line x1="8" y1="3" x2="8" y2="7" /><line x1="4" y1="11" x2="20" y2="11" /><line x1="11" y1="15" x2="12" y2="15" /><line x1="12" y1="15" x2="12" y2="18" /></svg>
                        </span>
                        <input id="id_{{ field.name }}_1" class="form-control" type="text"  name="{{ field.name }}_1" placeholder="Select time">
                      </div>  

                      {% else %}
                      {{ field }}
                      {% endif %}
                      </div><!-- end content row-->
                    </div>
                  </div>
                  {% endif %}
                  {% endfor %}



                  <input type="submit" value="Submit"></input>
                </form>
            </div><!-- end card body -->
          </div><!-- end card -->
      </div><!-- end 1st row
    </div>
  </div><!-- end page body -->